Use @DBNAME

if(SELECT DATA_TYPE  FROM INFORMATION_SCHEMA.COLUMNS
    WHERE  TABLE_NAME = 'Person' AND COLUMN_NAME = 'PwdP') = 'char' 
	OR 
	(SELECT DATA_TYPE  FROM INFORMATION_SCHEMA.COLUMNS
    WHERE  TABLE_NAME = 'Person' AND COLUMN_NAME = 'PwdP') = 'nvarchar' 
BEGIN
	Execute('ALTER Table dbo.Person
				Alter Column PwdP varchar(2000) null')
END


if(SELECT DATA_TYPE  FROM INFORMATION_SCHEMA.COLUMNS
    WHERE  TABLE_NAME = 'WebkartSetting' AND COLUMN_NAME = 'adminPWD') = 'char'
	OR
	(SELECT DATA_TYPE  FROM INFORMATION_SCHEMA.COLUMNS
    WHERE  TABLE_NAME = 'WebkartSetting' AND COLUMN_NAME = 'adminPWD') = 'nvarchar'
BEGIN
	Execute('ALTER Table dbo.WebkartSetting
				Alter Column adminPWD varchar(2000) null')
END


if(SELECT DATA_TYPE  FROM INFORMATION_SCHEMA.COLUMNS
    WHERE  TABLE_NAME = 'Users' AND COLUMN_NAME = 'Password') = 'char'
	OR
	(SELECT DATA_TYPE  FROM INFORMATION_SCHEMA.COLUMNS
    WHERE  TABLE_NAME = 'Users' AND COLUMN_NAME = 'Password') = 'nvarchar'
BEGIN
	Execute('ALTER Table dbo.Users
				Alter Column Password varchar(2000) null')
END


if(SELECT DATA_TYPE  FROM INFORMATION_SCHEMA.COLUMNS
    WHERE  TABLE_NAME = 'PasswordStorage' AND COLUMN_NAME = 'Password') = 'char'
	OR
(SELECT DATA_TYPE  FROM INFORMATION_SCHEMA.COLUMNS
    WHERE  TABLE_NAME = 'PasswordStorage' AND COLUMN_NAME = 'Password') = 'nvarchar'
BEGIN
	Execute('ALTER Table dbo.PasswordStorage
				Alter Column Password varchar(2000) null')
END